CacheConfig.GatewayHub.Gateway.GatewayEndpoint (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub.Gateway.GatewayEndpoint

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway.GatewayEndpoint

- Enclosing class:
    CacheConfig.GatewayHub.Gateway

      public static class CacheConfig.GatewayHub.Gateway.GatewayEndpoint
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `host`
    `protected String` | `id`
    `protected String` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayEndpoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()` Gets the value of the host property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getPort()` Gets the value of the port property.
    `void` | `setHost(String value)` Sets the value of the host property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setPort(String value)` Sets the value of the port property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected String host

    - #### id

          protected String id

    - #### port

          protected String port

  - ### Constructor Detail

    - #### GatewayEndpoint

          public GatewayEndpoint()

  - ### Method Detail

    - #### getHost

          public String getHost()

      Gets the value of the host property. possible object is `String`
      Returns:
        the value of the host property

    - #### setHost

          public void setHost(String value)

      Sets the value of the host property. allowed object is `String`
      Parameters:
        `value` - the value of the host property

    - #### getId

          public String getId()

      Gets the value of the id property. possible object is `String`
      Returns:
        the ID.

    - #### setId

          public void setId(String value)

      Sets the value of the id property. allowed object is `String`
      Parameters:
        `value` - the ID.

    - #### getPort

          public String getPort()

      Gets the value of the port property. possible object is `String`
      Returns:
        the port number.

    - #### setPort

          public void setPort(String value)

      Sets the value of the port property. allowed object is `String`
      Parameters:
        `value` - the port number.